import * as bodyParser from 'body-parser';
import { Plugin } from "@node-server/utils";

export class BodyParserPlugin extends Plugin {
    constructor(config){
        super({
            default : {
                json : { limit : '50mb' },
                urlencode : {
                    limit: '50mb',
                    extended: true,
                    parameterLimit: 1000000
                }
    
            },
            userDefined : config
        });

    }
    Start(app) {
        super.Start(app);
        this.App.use(bodyParser.json(this.pluginConfig.json));
        this.App.use(bodyParser.urlencoded(this.pluginConfig.urlencode));
        
    }
}