import * as cookieSession from 'cookie-session';
import * as cookieParser from 'cookie-parser';
import { Plugin } from "@node-server/utils";

export class CookieSessionPlugin extends Plugin {
    constructor(config){
        super({
            default :{
                name :'connect.sid',
                secret : "secretRandom",
                maxAge : 24 * 60 * 60 * 1000
    
            },
            userDefined : config
        });
    }
    Start(app) {
        super.Start(app);
        this.App.use(cookieParser());
        this.App.use(cookieSession(this.pluginConfig));
        this.App.use((req, res , next) => {
            req.SetContext("session" , req.session || {});
            next();
        });
     
    }
}