import { Plugin } from "@node-server/utils";

export class HeaderPlugin extends Plugin {
    constructor(config) {
        super({
            default :{
                'charset': 'utf-8',
                'Access-Control-Allow-Origin' : ["*"]
           },
            userDefined : config
        });
    }
    
    ComputeToString(val){
        if(!val)
            val = "";

        if(Array.isArray(val))
            val = val.join(",");
        
        val = JSON.stringify(val);
        return val;
    }
    
    Start(app){
        super.Start(app);
        this.App.use((req, res, next) => {
            try{
                for(var i in this.pluginConfig)
                     res.append(i, this.ComputeToString( this.pluginConfig[i]));
            }
            catch(e)
            {
                console.error(e);
            }
            next();
        });
    }

}